function colorizeRatingAttributes()
{
	try
	{
	    $('.ratingColoredAttribute').each(function(index) {
	        var id = $(this).attr("id");
	        var value = $(this).attr("value");
			if(value == null)
			{
				value = $(this).text();
			}
	        colorizeRatingField(id,value);
	    });
    }
    catch(err)
    {
    	notifyApp("ERROR colorizeRatingAttributes: " + err);
    }
}

function colorizeRatingField(id, value)
{
	try{
	    var valStr = "" + value;
	    var val = parseInt(valStr);
	    var removeClasses = "attributeValue_low_attribute attributeValue_normal_attribute attributeValue_good_attribute attributeValue_excellent_attribute";		
	    if(isNaN(val))
	        val = 0;
		/*if(val <= 45)
		{
			$("#" + id).removeClass(removeClasses);
		}
		else*/
		{
		    if(val <= 40)
		        $("#" + id).removeClass(removeClasses).addClass("attributeValue_low_attribute");
		    else if(val <= 50)
		        $("#" + id).removeClass(removeClasses).addClass("attributeValue_normal_attribute");
		    else if(val <= 68)
		        $("#" + id).removeClass(removeClasses).addClass("attributeValue_good_attribute");
		    else if(val <= 100)            
		        $("#" + id).removeClass(removeClasses).addClass("attributeValue_excellent_attribute");
	    }
    }
	catch(err)
	{
		notifyApp("ERROR colorizeRatingField: " + err);
	}        
}

function updateGeneralRatingPitchColors()
{
	try
	{
		setRatingPlayerColor("txtGK", "generalRatPitchGK");
		setRatingPlayerColor("txtGKPot", "generalRatPitchGK_Pot");
		
		setRatingPlayerColor("txtSW", "generalRatPitchSW");
		setRatingPlayerColor("txtSWPot", "generalRatPitchSW_Pot");
		//def
		setRatingPlayerColor("txtCB", "generalRatPitchDC");
		setRatingPlayerColor("txtCBPot", "generalRatPitchDC_Pot");
		
		setRatingPlayerColor("txtFB", "generalRatPitchDL");
		setRatingPlayerColor("txtFBPot", "generalRatPitchDL_Pot");
		setRatingPlayerColor("txtFB", "generalRatPitchDR");
		setRatingPlayerColor("txtFBPot", "generalRatPitchDR_Pot");
		//def med
		setRatingPlayerColor("txtDM", "generalRatPitchDMC");
		setRatingPlayerColor("txtDMPot", "generalRatPitchDMC_Pot");
		
		setRatingPlayerColor("txtWB", "generalRatPitchWBL");
		setRatingPlayerColor("txtWB", "generalRatPitchWBR");
		setRatingPlayerColor("txtWBPot", "generalRatPitchWBL_Pot");
		setRatingPlayerColor("txtWBPot", "generalRatPitchWBR_Pot");		
		//med
		setRatingPlayerColor("txtM", "generalRatPitchMC");
		setRatingPlayerColor("txtMPot", "generalRatPitchMC_Pot");
		
		setRatingPlayerColor("txtWM", "generalRatPitchML");				
		setRatingPlayerColor("txtWMPot", "generalRatPitchML_Pot");		
		setRatingPlayerColor("txtWM", "generalRatPitchMR");
		setRatingPlayerColor("txtWMPot", "generalRatPitchMR_Pot");		
		//am
		setRatingPlayerColor("txtAM", "generalRatPitchAMC");
		setRatingPlayerColor("txtAMPot", "generalRatPitchAMC_Pot");
		
		setRatingPlayerColor("txtWG", "generalRatPitchAML");
		setRatingPlayerColor("txtWGPot", "generalRatPitchAML_Pot");
		setRatingPlayerColor("txtWG", "generalRatPitchAMR");
		setRatingPlayerColor("txtWGPot", "generalRatPitchAMR_Pot");
		
		setRatingPlayerColor("txtFS", "generalRatPitchFC");		
		setRatingPlayerColor("txtFSPot", "generalRatPitchFC_Pot");		
	}
	catch(err)
	{
		notifyApp(err);
	}		
}

function updatePositionalRatingPitch()
{
	try
	{
		//gk
		setRatingPlayerColor("txtPosRatGK", "positionalRatingPitchGK");
		setRatingPlayerColor("txtPosRatGKPot", "positionalRatingPitchGK_Pot");
		//def
		setRatingPlayerColor("txtPosRatSW", "positionalRatingPitchSW");
		setRatingPlayerColor("txtPosRatSWPot", "positionalRatingPitchSW_Pot");
		setRatingPlayerColor("txtPosRatDL", "positionalRatingPitchDL");
		setRatingPlayerColor("txtPosRatDLPot", "positionalRatingPitchDL_Pot");
		setRatingPlayerColor("txtPosRatDC", "positionalRatingPitchDC");
		setRatingPlayerColor("txtPosRatDCPot", "positionalRatingPitchDC_Pot");
		setRatingPlayerColor("txtPosRatDR", "positionalRatingPitchDR");
		setRatingPlayerColor("txtPosRatDRPot", "positionalRatingPitchDR_Pot");
		setRatingPlayerColor("txtPosRatWBL", "positionalRatingPitchWBL");
		setRatingPlayerColor("txtPosRatWBLPot", "positionalRatingPitchWBL_Pot");
		setRatingPlayerColor("txtPosRatWBR", "positionalRatingPitchWBR");
		setRatingPlayerColor("txtPosRatWBRPot", "positionalRatingPitchWBR_Pot");
		setRatingPlayerColor("txtPosRatDMC", "positionalRatingPitchDMC");
		setRatingPlayerColor("txtPosRatDMCPot", "positionalRatingPitchDMC_Pot");
		//Mid
		setRatingPlayerColor("txtPosRatML", "positionalRatingPitchML");
		setRatingPlayerColor("txtPosRatMLPot", "positionalRatingPitchML_Pot");
		setRatingPlayerColor("txtPosRatMC", "positionalRatingPitchMC");
		setRatingPlayerColor("txtPosRatMCPot", "positionalRatingPitchMC_Pot");
		setRatingPlayerColor("txtPosRatMR", "positionalRatingPitchMR");
		setRatingPlayerColor("txtPosRatMRPot", "positionalRatingPitchMR_Pot");
		setRatingPlayerColor("txtPosRatAML", "positionalRatingPitchAML");
		setRatingPlayerColor("txtPosRatAMLPot", "positionalRatingPitchAML_Pot");
		setRatingPlayerColor("txtPosRatAMC", "positionalRatingPitchAMC");
		setRatingPlayerColor("txtPosRatAMCPot", "positionalRatingPitchAMC_Pot");
		setRatingPlayerColor("txtPosRatAMR", "positionalRatingPitchAMR");
		setRatingPlayerColor("txtPosRatAMRPot", "positionalRatingPitchAMR_Pot");
		//attack
		setRatingPlayerColor("txtPosRatFS", "positionalRatingPitchFC");
		setRatingPlayerColor("txtPosRatFSPot", "positionalRatingPitchFC_Pot");
		setRatingPlayerColor("txtPosRatTS", "positionalRatingPitchFC");
		setRatingPlayerColor("txtPosRatTSPot", "positionalRatingPitchFC_Pot");		
	}
	catch(err)
	{
		notifyApp(err);
	}	
}

function setRatingPlayerColor(attributeID, playerPitchID)
{
    try
    {
		var valStr = $("#" + attributeID).attr('value');		
		if(valStr == null)
		{
			valStr = $("#" + attributeID).text();						
		}		
		
		var val = parseInt(valStr);
		if(isNaN(val))
			val = 0;
		
		var newClassName = "";
	    if(val < 45)
	    {
	        newClassName = "";//"pitchGray";
	    }
	    else
	    {
	        if (val <= 40)
	            newClassName = "pitchWeakYellow";
	        else if (val <= 50)
	            newClassName = "pitchYellow";
	        else if (val < 68)
	            newClassName = "pitchOrange";            
	        else if (val < 75)
	            newClassName = "pitchWeakGreen";                        
	        else
	            newClassName = "pitchGreen";                                    
	    }		
	    $("#" + playerPitchID).removeClass("pitchGray pitchWeakYellow pitchYellow pitchOrange pitchWeakGreen pitchGreen").addClass(newClassName);
    }
    catch(err)
    {
    	notifyApp(err);
    }
}
